Package: groovy.org.codenarc.rule.size

## [Groovy] Class CyclomaticComplexityAstVisitor

- groovy.org.codenarc.rule.size.CyclomaticComplexityAstVisitor

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractMethodMetricAstVisitor` | `metric`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `metricShortDescription`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `createMetric()`
    `` | `protected Object` | `getMaxClassAverageMethodMetricValue()`
    `` | `protected Object` | `getMaxClassMetricValue()`
    `` | `protected Object` | `getMaxMethodMetricValue()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractMethodMetricAstVisitor` | `addViolation, createMetric, extractMethodName, getLineNumber, getMaxClassAverageMethodMetricValue, getMaxClassMetricValue, getMaxMethodMetricValue, getMetricShortDescription, getSourceLine, isIgnoredMethodName, visitClassEx`

- - ### Property Detail

    - #### final String metricShortDescription

  - ### Method Detail

    - #### protected Object createMetric()

    - #### protected Object getMaxClassAverageMethodMetricValue()

    - #### protected Object getMaxClassMetricValue()

    - #### protected Object getMaxMethodMetricValue()